### Class

# Atspi DeviceListener

#### Description

    class Atspi.DeviceListener : GObject.Object
    {
      guint id,
      gpointer callbacks
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### atspi_device_listener_new

Creates a new `AtspiDeviceListener` with a specified callback function.

###### atspi_device_listener_new_simple

Creates a new `AtspiDeviceListener` with a specified callback function. This method is similar to #atspi_device_listener_new, but callback takes no user data.

#### Instance methods

###### atspi_device_listener_add_callback

Adds an in-process callback function to an existing `AtspiDeviceListener`.

###### atspi_device_listener_remove_callback

Removes an in-process callback function from an existing `AtspiDeviceListener`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AtspiDeviceListenerClass {
      GObjectClass parent_class;
      gboolean (* device_event) (
        AtspiDeviceListener* listener,
        const AtspiDeviceEvent* event
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`device_event: gboolean (* device_event) ( AtspiDeviceListener* listener, const AtspiDeviceEvent* event )`

  No description available.

#### Virtual methods

###### Atspi.DeviceListenerClass.device_event

No description available.